Loading...
Searching...
No Matches
EclThcLaw.hpp File Reference

Implements the total thermal conductivity and rock enthalpy relations used by ECL. More...

`#include "EclThcLawParams.hpp"`

Go to the source code of this file.

## Classes

class | Opm::EclThcLaw< ScalarT, ParamsT >
| Implements the total thermal conductivity and rock enthalpy relations used by ECL. More...

## Namespaces

namespace | Opm
| This class implements a small container which holds the transmissibility mulitpliers for all the faces in the grid.

## Detailed Description

Implements the total thermal conductivity and rock enthalpy relations used by ECL.

This is the thermal conduction law based on the THCROCK, THCOIL, THCGAS and THCWATER keywords.